<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage enlightme Pro
* @since enlightme Pro 1.0.0
*/

//slider
if ( ! function_exists( 'enlightme_pro_slider_btn_label_partial' ) ) :
    // slider title
    function enlightme_pro_slider_btn_label_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['slider_btn_label'] );
    }
endif;

// Service Section
if ( ! function_exists( 'enlightme_pro_service_title_partial' ) ) :
    // service_title
    function enlightme_pro_service_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['service_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_service_sub_title_partial' ) ) :
    //service_sub_title
    function enlightme_pro_service_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['service_sub_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_service_description_partial' ) ) :
    // service_description
    function enlightme_pro_service_description_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['service_description'] );
    }
endif;

//about section

if ( ! function_exists( 'enlightme_pro_about_sub_title_partial' ) ) :
    // about_sub_title
    function enlightme_pro_about_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['about_sub_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_about_btn_text_partial' ) ) :
    // about_btn_text
    function enlightme_pro_about_btn_text_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['about_btn_text'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_about_video_intro_text_partial' ) ) :
    // about_video_intro_text
    function enlightme_pro_about_video_intro_text_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['about_video_intro_text'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_about_video_sub_intro_text_partial' ) ) :
    // about_video_sub_intro_text
    function enlightme_pro_about_video_sub_intro_text_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['about_video_sub_intro_text'] );
    }
endif;

//testimonial section
if ( ! function_exists( 'enlightme_pro_testimonial_sub_title_partial' ) ) :
    // testimonial_sub_title
    function enlightme_pro_testimonial_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['testimonial_sub_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_testimonial_title_partial' ) ) :
    // testimonial_title
    function enlightme_pro_testimonial_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['testimonial_title'] );
    }
endif;

//subscription
if ( ! function_exists( 'enlightme_pro_subscription_title_partial' ) ) :
    // subscription_title
    function enlightme_pro_subscription_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['subscription_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_subscription_description_partial' ) ) :
    // subscription_description
    function enlightme_pro_subscription_description_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['subscription_description'] );
    }
endif;

//blog
if ( ! function_exists( 'enlightme_pro_blog_sub_title_partial' ) ) :
    // blog_sub_title
    function enlightme_pro_blog_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['blog_sub_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_blog_title_partial' ) ) :
    // blog_title
    function enlightme_pro_blog_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['blog_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_blog_btn_title_partial' ) ) :
    // blog_btn_title
    function enlightme_pro_blog_btn_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['blog_btn_title'] );
    }
endif;

//team
if ( ! function_exists( 'enlightme_pro_team_title_partial' ) ) :
    // popular destination title
    function enlightme_pro_team_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['team_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_team_sub_title_partial' ) ) :
    // popular destination title
    function enlightme_pro_team_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['team_sub_title'] );
    }
endif;

//gallery slider

if ( ! function_exists( 'enlightme_pro_gallery_title_partial' ) ) :
    // gallery_title
    function enlightme_pro_gallery_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['gallery_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_gallery_sub_title_partial' ) ) :
    // gallery_sub_title
    function enlightme_pro_gallery_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['gallery_sub_title'] );
    }
endif;

//features
if ( ! function_exists( 'enlightme_pro_featured_btn_title_partial' ) ) :
    // featured_btn_title
    function enlightme_pro_featured_btn_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['featured_btn_title'] );
    }
endif;

//client
if ( ! function_exists( 'enlightme_pro_client_title_partial' ) ) :
    // client_title
    function enlightme_pro_client_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['client_title'] );
    }
endif;

//download
if ( ! function_exists( 'enlightme_pro_download_sub_title_partial' ) ) :
    // download_sub_title
    function enlightme_pro_download_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['download_sub_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_download_title_partial' ) ) :
    // download_title
    function enlightme_pro_download_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['download_title'] );
    }
endif;

//career
if ( ! function_exists( 'enlightme_pro_career_sub_title_partial' ) ) :
    // career_sub_title
    function enlightme_pro_career_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['career_sub_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_career_title_partial' ) ) :
    // career_title
    function enlightme_pro_career_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['career_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_career_btn_title_partial' ) ) :
    // career_btn_title
    function enlightme_pro_career_btn_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['career_btn_title'] );
    }
endif;

/*=============Recent Product Section==============*/

// recent_products_sub_title selective refresh
if ( ! function_exists( 'enlightme_pro_recent_products_sub_title_partial' ) ) :
    function enlightme_pro_recent_products_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['recent_products_sub_title'] );
    }
endif;

// recent_products_title selective refresh
if ( ! function_exists( 'enlightme_pro_recent_products_title_partial' ) ) :
    function enlightme_pro_recent_products_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['recent_products_title'] );
    }
endif;


//cta
// cta_sub_title selective refresh
if ( ! function_exists( 'enlightme_pro_cta_sub_title_partial' ) ) :
    function enlightme_pro_cta_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['cta_sub_title'] );
    }
endif;

// cta_btn_title selective refresh
if ( ! function_exists( 'enlightme_pro_cta_btn_title_partial' ) ) :
    function enlightme_pro_cta_btn_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['cta_btn_title'] );
    }
endif;

//latest posts

// latest_posts_sub_title selective refresh
if ( ! function_exists( 'enlightme_pro_latest_posts_sub_title_partial' ) ) :
    function enlightme_pro_latest_posts_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['latest_posts_sub_title'] );
    }
endif;

// latest_posts_title selective refresh
if ( ! function_exists( 'enlightme_pro_latest_posts_title_partial' ) ) :
    function enlightme_pro_latest_posts_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['latest_posts_title'] );
    }
endif;

//popular posts

// popular_posts_sub_title selective refresh
if ( ! function_exists( 'enlightme_pro_popular_posts_sub_title_partial' ) ) :
    function enlightme_pro_popular_posts_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['popular_posts_sub_title'] );
    }
endif;

// popular_posts_title selective refresh
if ( ! function_exists( 'enlightme_pro_popular_posts_title_partial' ) ) :
    function enlightme_pro_popular_posts_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['popular_posts_title'] );
    }
endif;


//blog post
if ( ! function_exists( 'enlightme_pro_blog_posts_sub_title_partial' ) ) :
    function enlightme_pro_blog_posts_sub_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['blog_posts_sub_title'] );
    }
endif;

// blog_posts_title selective refresh
if ( ! function_exists( 'enlightme_pro_blog_posts_title_partial' ) ) :
    function enlightme_pro_blog_posts_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['blog_posts_title'] );
    }
endif;

//promotion
// promotion_button selective refresh
if ( ! function_exists( 'enlightme_pro_promotion_button_partial' ) ) :
    function enlightme_pro_promotion_button_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['promotion_button'] );
    }
endif;

// footer_text selective refresh
if ( ! function_exists( 'enlightme_pro_footer_text_partial' ) ) :
    function enlightme_pro_footer_text_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['footer_text'] );
    }
endif;

// footer_btn_title selective refresh
if ( ! function_exists( 'enlightme_pro_footer_btn_title_partial' ) ) :
    function enlightme_pro_footer_btn_title_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['footer_btn_title'] );
    }
endif;

if ( ! function_exists( 'enlightme_pro_copyright_text_partial' ) ) :
    // copyright_text
    function enlightme_pro_copyright_text_partial() {
        $options = enlightme_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;